Subject: Re: bug#53196: 28.0.90; Default Emacs is too noisy

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Jan 2022 05:23:14 +0200

> From: "N. Jackson" <[email-masked]>
> Date: Tue, 11 Jan 2022 15:20:28 -0500
> 
> I ran emacs -Q today (to confirm a bug) and I was driven to
> distraction by all the beeping. [My Emacs is mercifully silent,
> presumably(?) because I have `visible-bell' turned on, so I'm not
> used to all the noise.] On this system the beep sounds like a drop
> of water falling into a pool and it is very loud (even though I keep
> my volume level set quite low). Just a few minutes in emacs -Q was a
> torture.

What caused the beeps?  It isn't supposed to be too frequent, unless
you bump into errors all the time.

> One simple improvement would be to not sound a beep when the user
> presses `C-g'. That would reduce the amount of noise very greatly.

C-g is a kind of interrupt, ringing the bell is justified when the
user interrupts whatever Emacs is doing.